work-helpers
============

Some helper scripts for the day to day work with Ubuntu in WSL2

 - **sensospot_rename**: rename sensospot images in a batch
 - **sg_mbp_new_version**: creates a new version folder, new excel changes files and modifies the overall changelog
 - **sg_mbp_release**: collect and annotate all files used for a safeguard workbook release
 - **sg_list_frms**: collect gitea issues and related frm filenames
 - **xls2changelog**: reformat copied excel data to the safeguard changelog format
 - **xls2markdown**: reformat copied excel data to a markdown table
 - **xls2pylist**: reformat copied excel data to a python list


Proposed workflow for Safeguard projects
----------------------------------------

1. create a new version in the issues repo folder "E:\Safeguard-MBP-issues" with `sg_mbp_new_version`
2. make your required edits in the workbooks and record the changes in the excel changelog files using `xls2changelog`
3. edit the changelog file in "E:\Safeguard-MBP-issues"
4. pack everything together for a release with `sg_mbp_release`


sg_mbp_release
--------------

Before running this command:
 - make the required edits to the workbooks
 - create a new versions folder in "E:\Safeguard-MBP-issues", e.g. "v3.9.49" (try the new `sg_mbp_new_version` command for this)
 - note the changes in the excel changelogs in the created version folder
 - edit the changelog in "E:\Safeguard-MBP-issues"

The command will collect all data into one folder on the Desktop to be published.